Bug 18800 - [AArch64] objdump incorrectly disassembles SIMD ext instruction as undefined
Summary: [AArch64] objdump incorrectly disassembles SIMD ext instruction as undefined
Status: RESOLVED FIXED
Alias: None
Product: binutils
Classification: Unclassified
Component: binutils (show other bugs)
Version: 2.25
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-10 19:28 UTC by Joel Jones
Modified: 2015-08-17 08:51 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Jones 2015-08-10 19:28:52 UTC
$ cat extDis.S
    ext v0.16b, v0.16b, v0.16b, #8
$ gas/as-new extDis.S -o extDis.o
$ binutils/objdump -d extDis.o

extDis.o:     file format elf64-littleaarch64


Disassembly of section .text:

0000000000000000 <.text>:
   0:	6e004000 	.inst	0x6e004000 ; undefined
Comment 1 cvs-commit@gcc.gnu.org 2015-08-11 17:01:51 UTC
The master branch has been updated by Nick Clifton <nickc@sourceware.org>:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=922c5db5e733526f12e2fbfeb72c7f1f90089d53

commit 922c5db5e733526f12e2fbfeb72c7f1f90089d53
Author: Nick Clifton <nickc@redhat.com>
Date:   Tue Aug 11 18:00:36 2015 +0100

    Fix the disassembly of the AArch64 SIMD EXT instruction.
    
    	PR 18800
    	* aarch64-tbl.h (aarch64_opcode_table): Fix mask for SIMD EXT
    	instruction.
Comment 2 Nick Clifton 2015-08-17 08:51:52 UTC
Should be fixed now...